# class Ripper::Lexer::State

### Attributes

inspect[R]
to_i[R]
to_int[R]
to_s[R]

### Public Class Methods

new(i) click to toggle source

    # File ext/ripper/lib/ripper/lexer.rb, line 59
    def initialize(i)
      @to_int = i
      @to_s = Ripper.lex_state_name(i)
      freeze
    end

### Public Instance Methods

&(i) click to toggle source

    # File ext/ripper/lib/ripper/lexer.rb, line 80
    def &(i) self.class.new(to_int & i) end

==(i) click to toggle source
Calls superclass method `BasicObject#==`

    # File ext/ripper/lib/ripper/lexer.rb, line 79
    def ==(i) super or to_int == i end

[](index) click to toggle source

    # File ext/ripper/lib/ripper/lexer.rb, line 65
    def [](index)
      case index
      when 0, :to_int
        @to_int
      when 1, :to_s
        @event
      else
        nil
      end
    end

allbits?(i) click to toggle source

    # File ext/ripper/lib/ripper/lexer.rb, line 82
    def allbits?(i) to_int.allbits?(i) end

anybits?(i) click to toggle source

    # File ext/ripper/lib/ripper/lexer.rb, line 83
    def anybits?(i) to_int.anybits?(i) end

nobits?(i) click to toggle source

    # File ext/ripper/lib/ripper/lexer.rb, line 84
    def nobits?(i) to_int.nobits?(i) end

pretty_print(q) click to toggle source

    # File ext/ripper/lib/ripper/lexer.rb, line 78
    def pretty_print(q) q.text(to_s) end

|(i) click to toggle source

    # File ext/ripper/lib/ripper/lexer.rb, line 81
    def |(i) self.class.new(to_int | i) end